JEDIT(1)

NAME
jEdit - Programmer's Text Editor written in Java

SYNOPSIS
jedit [ options ] [ files ]

DESCRIPTION
This manual page briefly documents jEdit's command-line parameters. Complete documentation can be found by invoking the Help->jEdit Help menu item within jEdit or by invoking jedit -usage. jEdit is a cross-platform text editor written in Java. It has an extensive feature set that includes syntax highlighting, auto indent, folding, word wrap, abbreviation expansion, multiple clipboards, powerful search and replace and much more. Furthermore, jEdit is extremely customizable, and extensible, using either macros written in the BeanShell scripting language, or plugins written in Java. With plugins, you can create a very powerful development environment for HTML, XML, C/C++, Python, Perl, Ruby, Lisp, Scheme, and many others. jEdit Requires Sun Java 2 version 1.6. jEdit is released under the GNU General Public License, which can be found in the online help.

GENERAL COMMAND LINE USAGE
When opening files from the command line, a line number or marker to position the caret on can be specified like so: $ jedit MyApplet.java +line:10 $ jedit thesis.tex +marker:c Command-line switches begin with a "-". Some take a parameter. A file whose name begins with "-" can be opened like so: $ jedit -- -myfile

MISCELLANEOUS OPTIONS

-log=level
    Set the minimum log level to an integer between 1 and 9. Default is 7. Has no effect when connecting to another instance via the edit server.

-usage
    Show a brief command line usage message without starting jEdit. This message is also shown if an invalid switch was specified.

-version
    Show the version number without starting jEdit.

--  Specifies the end of command-line processing. Further parameters are treated as file names, even if they begin with a dash.

CONFIGURATION OPTIONS

-plugins
    Enable loading of plugins. This is the default. Has no effect when connecting to another instance via the edit server.

-noplugins
    Disable loading of plugins. Has no effect when connecting to another instance via the edit server.

-restore
    Restore previously open files on startup. This is the default.

-norestore
    Do not restore previously open files on startup.

-run=script
    Run the specified BeanShell script. There can only be one of these parameters on the command line.

-settings=dir
    Store user-specific settings in the directory named "dir", instead of the default $HOME/.jedit. The directory will be created automatically if it does not exist. Has no effect when connecting to another instance via the edit server.

-nosettings
    Start jEdit without loading user-specific settings.

-startupscripts
    Run startup scripts. This is the default. Has no effect when connecting to another instance via the edit server.

-nostartupscripts
    Disable startup scripts. Has no effect when connecting to another instance via the edit server.

EDIT SERVER OPTIONS
For information about the edit server, see the section "Starting jEdit" in the jEdit online help.

-background
    Run jEdit in background mode. In background mode, the edit server will continue listening for client connections even after all views are closed. Has no effect when connecting to another instance via the edit server.

-nobackground
    Disable background mode. This is the default. Has no effect when connecting to another instance via the edit server.

-gui
    Open an initial view. This is the default. Has no effect when connecting to another instance via the edit server.

-nogui
    Do not open an initial view, and instead only open one when the first client connects. Can only be used in combination with the -background switch. You can use this switch to "pre-load" jEdit when you log in to your computer, for example. Has no effect when connecting to another instance via the edit server.

-server
    Store the server port info in the file named "server" inside the settings directory. This is the default.

-server=name
    Store the server port info in the file named "name". File names for this parameter are relative to the settings directory.

-noserver
    Do not attempt to connect to a running edit server, and does not start one either.

FILES

~/.jedit
    Each user who runs jEdit has a settings directory. Its content is documented in the "Customizing jEdit" section of the online help.

SEE ALSO
java(1)

VERSION
jEdit 5.0.0

BUGS
See http://www.jEdit.org/index.php?page=feedback for bug reporting information.

WEB
http://www.jEdit.org/